<?php

/**
 * @file
 * Contains the Configuration Page for the Pages Restriction.
 */

/**
 * Administration form for Restriction Pages.
 *
 * @see drupal_get_form()
 */
function pages_restriction_admin_form($form, &$form_state) {

  $form['pages_restriction_rules'] = array(
    '#title' => t("Pages access configuration rules:"),
    '#type' => 'textarea',
    '#description' => t('<p><strong>Configure here the pages access rules.</strong><br>Ex: <b>homepage|about-us</b> will block access to about-us page and redirect to homepage.</p>'),
    '#default_value' => variable_get('pages_restriction_rules'),
  );

  $form['pages_restriction_debug_mode'] = array(
    '#title' => t("Turn Debug Mode On"),
    '#type' => 'checkbox',
    '#description' => t('It will print useful information on DB Log.'),
    '#default_value' => variable_get('pages_restriction_debug_mode', FALSE),
  );

  return system_settings_form($form);
}
